## ros-noetic-qt-gui 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(qt_gui)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-noetic-qt-gui (0.4.2-1buster) buster; urgency=high

  * fix exporting perspective for Python 3.6 (#228 <https://github.com/ros-visualization/qt_gui_core/issues/228>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2020 07:00:00 -0000

ros-noetic-qt-gui (0.4.1-1buster) buster; urgency=high

  * use setuptools instead of distutils (#209 <https://github.com/ros-visualization/qt_gui_core/issues/209>)
  * fix export perspective with Python 3 (#217 <https://github.com/ros-visualization/qt_gui_core/issues/217>)
  * fix runtime error on shutdown (#213 <https://github.com/ros-visualization/qt_gui_core/issues/213>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 07:00:00 -0000

ros-noetic-qt-gui (0.4.0-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 08:00:00 -0000

ros-noetic-qt-gui (0.3.17-1buster) buster; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#206 <https://github.com/ros-visualization/qt_gui_core/issues/206>)
  * use native default icon theme if suitable (#202 <https://github.com/ros-visualization/qt_gui_core/issues/202>)
  * fix title bar buttons rendering on macOS (#205 <https://github.com/ros-visualization/qt_gui_core/issues/205>)
  * fix platform check for macOS in themeSearchPaths patching (#204 <https://github.com/ros-visualization/qt_gui_core/issues/204>)
  * auto adjust main window if standalone (#199 <https://github.com/ros-visualization/qt_gui_core/issues/199>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 08:00:00 -0000

ros-noetic-qt-gui (0.3.16-1buster) buster; urgency=high

  * fix UI to enter perspective name (#198 <https://github.com/ros-visualization/qt_gui_core/issues/198>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 04 Dec 2019 08:00:00 -0000

ros-noetic-qt-gui (0.3.15-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-noetic-qt-gui (0.3.14-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-noetic-qt-gui (0.3.13-1buster) buster; urgency=high

  * add Python 3 dependencies with conditions (#184 <https://github.com/ros-visualization/qt_gui_core/issues/184>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 30 Sep 2019 07:00:00 -0000

ros-noetic-qt-gui (0.3.12-1buster) buster; urgency=high

  * fix C++ Settings methods allKeys, childGroups, childKeys (#182 <https://github.com/ros-visualization/qt_gui_core/issues/182>)
  * add missing QtCore import (#178 <https://github.com/ros-visualization/qt_gui_core/issues/178>)
  * fix changing dictionary during iteration (#167 <https://github.com/ros-visualization/qt_gui_core/issues/167>)
  * fix typo (#164 <https://github.com/ros-visualization/qt_gui_core/issues/164>)
  * remove obsolete maintainer (#160 <https://github.com/ros-visualization/qt_gui_core/issues/160>)
  * fix warning message (#143 <https://github.com/ros-visualization/qt_gui_core/issues/143>)
  * changes for flake8 and ROS2 compatible style changes (#130 <https://github.com/ros-visualization/qt_gui_core/issues/130>)
  * autopep8 (#123 <https://github.com/ros-visualization/qt_gui_core/issues/123>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 30 Sep 2019 07:00:00 -0000

ros-noetic-qt-gui (0.3.11-1buster) buster; urgency=high

  * fix path being set for exporting perspective (#121 <https://github.com/ros-visualization/qt_gui_core/issues/121>, regression from 0.3.9)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Aug 2018 07:00:00 -0000

ros-noetic-qt-gui (0.3.10-1buster) buster; urgency=high

  * keep multi_process variable in standalone mode (#120 <https://github.com/ros-visualization/qt_gui_core/issues/120>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 05 Aug 2018 07:00:00 -0000

ros-noetic-qt-gui (0.3.9-1buster) buster; urgency=high

  * load and save perspective file path and name adjustments (#118 <https://github.com/ros-visualization/qt_gui_core/issues/118>)
  * add hint to run with --force-discover, when no plugin found (#119 <https://github.com/ros-visualization/qt_gui_core/issues/119>)
  * remove --multi-process command line argument (#116 <https://github.com/ros-visualization/qt_gui_core/issues/116>)
  * avoid crash when a plugin in .perspective is not available (#110 <https://github.com/ros-visualization/qt_gui_core/issues/110>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Aug 2018 07:00:00 -0000

ros-noetic-qt-gui (0.3.8-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Nov 2017 07:00:00 -0000

ros-noetic-qt-gui (0.3.7-1buster) buster; urgency=high

  * Hide the menu bar when using lock perspective (#103 <https://github.com/ros-visualization/qt_gui_core/issues/103>)
  * Fix for Python 3 compatibility (#104 <https://github.com/ros-visualization/qt_gui_core/issues/104>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-noetic-qt-gui (0.3.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Aug 2017 07:00:00 -0000

ros-noetic-qt-gui (0.3.5-1buster) buster; urgency=high

  * remove trailing spaces from exported perspective files (#92 <https://github.com/ros-visualization/qt_gui_core/issues/92>)
  * fix perspective export with Python3 (#91 <https://github.com/ros-visualization/qt_gui_core/pull/91>)
  * hide the remaining title bar elements not disabled by -l and -f (#90 <https://github.com/ros-visualization/qt_gui_core/issues/90>)
  * use file name for rqt window title when loading a .perspective (#84 <https://github.com/ros-visualization/qt_gui_core/pull/84>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-noetic-qt-gui (0.3.4-1buster) buster; urgency=high

  * use Python 3 compatible syntax (#81 <https://github.com/ros-visualization/qt_gui_core/pull/81>)


=== debian/control ===
Source: ros-noetic-qt-gui
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libpyside2-dev, libshiboken2-dev, pyqt5-dev, python3-pyqt5, python3-pyqt5.qtsvg, python3-pyside2.qtsvg, python3-setuptools, python3-sip-dev, qt5-qmake, qtbase5-dev, ros-noetic-catkin, shiboken2
Homepage: http://ros.org/wiki/qt_gui
Standards-Version: 3.9.2

Package: ros-noetic-qt-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-python-qt-binding (>= 0.3.0), tango-icon-theme
Description: qt_gui provides the infrastructure for an integrated graphical user interface based on Qt.
 It is extensible with Python- and C++-based plugins (implemented in separate packages) which can contribute arbitrary widgets. It requires either PyQt or PySide bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-qt-gui//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
